/* =====================================================
RESET / BASE
===================================================== */

*{
margin:0;
padding:0;
box-sizing:border-box;
}

body{
font-family:'Poppins',sans-serif;
background:#ffffff !important;
justify-content:center;
align-items:center;
min-height:100vh;
}

a{
text-decoration:none;
color:#2196f3;
}

#contenido-principal{
width:100%;
margin:0;
padding:0;
box-sizing:border-box;
}

.layout {
  margin-top: -40px;
}

@media (max-width: 700px) {
  .layout {
    margin-top: 0px;
  }
}

@media (max-width: 370px) {
    .lado-derecho {
        margin-top: -10px !important;
    }
}


/* =====================================================
HEADER
===================================================== */

header{
background:#2196f3 !important;
padding:20px;
margin-bottom: 40px;
}

/* =====================================================
CONTENEDOR PRINCIPAL
===================================================== */

.pet-container{
width:100%;
background:white;
height:80hv;
flex-wrap:wrap;
display:flex;
margin:0 auto;
margin-top:-35px;
}

/* =====================================================
BLOQUE IMAGEN
===================================================== */

.pet-image{
flex:1 1 clamp(300px,45%,500px);
position:relative;
background:#fff;
overflow:hidden;
height: 100% !important;
}

/* =====================================================
SLIDER
===================================================== */

.slider{
display:flex;
transition:transform .4s ease;
height:100%;
}

.slide{
min-width:100%;
padding:20px;
}

.slide img{
width:100%;
height:100%;
border-radius:15px;
object-fit:contain;
background:#f8f8f8;
}

/* =====================================================
FLECHAS SLIDER
===================================================== */

.arrow{
position:absolute;
top:50%;
transform:translateY(-50%);
background:white;
width:40px;
height:40px;
border-radius:50%;
display:flex;
align-items:center;
justify-content:center;
cursor:pointer;
box-shadow:0 5px 15px rgba(0,0,0,0.15);
z-index:10;
}

.arrow-left{ left:40px; }
.arrow-right{ right:40px; }

/* =====================================================
BOTONES SOBRE IMAGEN
===================================================== */

.icon-left{
position:absolute;
top:40px;
left:40px;
background:white;
border-radius:12px;
width:50px;
height:50px;
display:flex;
align-items:center;
justify-content:center;
cursor:pointer;
z-index:10;
}

/* BOTON CORAZON / CONFIG */

.config-producto,
.config-mascota,
.favorito{
position:absolute;
top:40px;
right:40px;
z-index:4;
border:2px solid white;
background: #ffffff;
color: #dfdfdf;
border-radius:12px;
width:50px;
height:50px;
font-size:25px;
cursor:pointer;
display:flex;
align-items:center;
justify-content:center;
}

/* HOVER SOLO SI NO TIENE LIKE */
.favorito:not(.activo):hover{
  background: #ffffff;
  color: #fe6665;
  transform: scale(1.1);
}

/* ACTIVO */
.favorito.activo{
  background: #ffffff;
  color: #fe6665;
}

/* HOVER CUANDO YA TIENE LIKE */
.favorito.activo:hover{
    transform: scale(1.15);
}

/* =====================================================
ANIMACION CORAZON
===================================================== */

.corazon-float{
position:fixed;
left:0;
top:0;
color: #fe6665;
pointer-events:none;
user-select:none;
animation:corazonSube 1.2s ease-out forwards;
will-change:transform,opacity;
transform:translate3d(0,0,0);
z-index:99999;
}

@keyframes corazonSube{

0%{
opacity:1;
transform:translate3d(-50%,0,0) scale(1);
}

70%{
opacity:1;
transform:translate3d(-50%,-60px,0) scale(1.4);
}

100%{
opacity:0;
transform:translate3d(-50%,-120px,0) scale(1.8);
}

}

/* =====================================================
MENUS DE EDICION
===================================================== */

.menu-mascota, .menu-producto{
position:absolute;
top: clamp(80px, 10vw, 95px);
right: clamp(35px, 4vw, 40px);
display:none;
flex-direction:column;
border-radius:5px;
overflow:hidden;
z-index:9999;
padding:5px;
background:#ffffff;
}

.menu-mascota button{
margin-top:2px;
margin-bottom:2px;
padding:9px;
font-size:13px;
border:0;
cursor:pointer;
background: white;
border-radius: 5px;
}

.menu-mascota button:hover{
background:#2196f3;
color:white;
}

.menu-producto button{
margin-top:2px;
margin-bottom:2px;
padding:9px;
border-radius:5%;
font-size:13px;
border:0;
cursor:pointer;
}

.menu-producto button:hover{
background:#2196f3;
color:white;
}

/* =====================================================
DOTS SLIDER
===================================================== */

.dots{
position:absolute;
bottom:40px;
width:100%;
display:flex;
justify-content:center;
gap:8px;
z-index:10;
}

.dot{
width:8px;
height:8px;
border-radius:50%;
background:rgba(255,255,255,0.5);
}

.dot.active{
background:white;
}

/* =====================================================
ETIQUETA DETALLES
===================================================== */

.etiqueta-detalles {
  margin-top: 20px;
}
.etiqueta {
  display: inline-block;
  padding: 0.3rem 0.6rem;
  font-size: 0.8rem;
  font-weight: 700;
  margin-bottom: 0.5rem;
  margin-top: -0.9rem;
  text-align: center;
  min-width: 60px;
}

.etiqueta.nuevo { background-color: #2196f3; color: white; width: 80px; text-align: center;}
.etiqueta.dosxuno { background-color: #28a745; width: 80px; color: white; }
.etiqueta.oferta { background-color: #dc3545; width: 80px; color: white; }


/* =====================================================
PRECIO PRODUCTOS
===================================================== */

.precios {
  display: flex;
  align-items: baseline;
  gap: 1rem;
  margin: 1rem 0;
}

.precio-principal .grande {
  font-size: 2rem;
  font-weight: 700;
}

.precio-principal .pequeno {
  font-size: 1rem;
  vertical-align: super;
  margin-left: 0.1rem;
}

.precio-tachado del {
  color: hsl(220, 14%, 75%);
  text-decoration: line-through;
}

/* Formulario */
.formulario-comprar {
  display: flex;
  gap: 1rem;
  margin-top: 1rem;
  flex-wrap: wrap;
}

.selector-cantidad {
  display: flex;
  gap: 0.5rem;
  background: hsl(223, 64%, 98%);
  border-radius: 0.5rem;
  align-items: center;
  padding: 0.5rem;
}

.input-cantidad {
  width: 3rem;
  text-align: center;
  border: none;
  background: transparent;
  font-weight: 700;
}

.boton-cantidad {
  background: transparent;
  border: none;
  cursor: pointer;
  font-size: 1.25rem;
  font-weight: 700;
}

/* =====================================================
BLOQUE CONTENIDO
===================================================== */

.pet-content{
flex:1 1 clamp(300px,55%,600px);
padding:clamp(15px,8vw,30px);
}

/* =====================================================
TITULO
===================================================== */

.pet-title{
margin-top:-15px;
display:flex;
justify-content:space-between;
align-items:center;
font-weight:700;
margin-bottom:5px;
text-transform:capitalize;
}

.pet-title h2{
font-size:clamp(20px,6.5vw,40px);
}

/* =====================================================
RAZA
===================================================== */

.breed{
color:#777;
font-size:clamp(12px,3.3.5vw,20px);
font-weight:500;
margin-bottom:20px;
margin-top:-10px;
}

/* =====================================================
INFO MASCOTA
===================================================== */

.pet-info{
display:flex;
justify-content:flex-start;
gap:90px;
margin-bottom:20px;
font-weight:600;
font-size:clamp(11px,3.5vw,13px);
color:#aaa;
text-align:left;
}

.pet-info span{
display:block;
font-weight:500;
font-size:clamp(11px,3.5vw,13px);
color:#000;
margin-top:1px;
text-transform:capitalize;
}

/* LOCATION */

.location{
font-size:clamp(11px,3.5vw,13px);
color:#aaa;
margin-bottom:20px;
font-weight:600;
}

.location span{
color:#000;
display:block;
margin-top:1px;
font-weight:500;
}

/* DETAILS */

.details{
font-size:clamp(11px,3.5vw,13px);
color:#aaa;
margin-bottom:15px;
font-weight:600;
}

.details span{
color:#000;
display:block;
margin-top:1px;
font-weight:500;
}

/* =====================================================
SELLER
===================================================== */

.nombre-hogar{
font-size:clamp(11px,3.5vw,13px);
color:#aaa;
margin-bottom:15px;
font-weight:600;
}

.seller{
display:flex;
align-items:center;
justify-content:space-between;
margin-bottom:20px;
padding:10px;
border-radius:12px;
box-shadow:0 8px 20px rgba(0,0,0,0.08);
}

.seller-left{
display:flex;
align-items:center;
gap:10px;
}

.seller img{
width:40px;
height:40px;
border-radius:50%;
object-fit: contain;
}

.seller-name{
font-size:clamp(11.5px,3vw,15px);
font-weight:600;
text-transform:capitalize;
}

.follow{
font-size:clamp(9px,3vw,13px);
color:#2196f3;
font-weight:600;
}

.view-profile{
font-size:clamp(10px,3vw,15px);
color:#2196f3;
cursor:pointer;
font-weight:500;
}

/* =====================================================
BOTONES
===================================================== */

.botones{
gap:5px;
width:100%;
display:flex;
justify-content:space-between;
}

.btn1,.btn2, .btn3{
width:60%;
padding:15px;
border:none;
border-radius:14px;
background:#2196f3;
color:white;
font-weight:600;
font-size:clamp(11px,2vw,16px);
cursor:pointer;
}

.btn2{
width:37% !important;
background: white;
border: 1px solid #2196f3;
color: #2196f3;
}

.btn2:hover{
background:#2196f3;
color:white;
}

.btn3 {
  background: #b1fc38;
  width: 50% !important;
}

/* =====================================================
TABS
===================================================== */

.tabs{
display:flex;
gap:50px;
margin-bottom:20px;
border-bottom:1px solid #eee;
}

.tab{
background:none;
border:none;
padding:10px 0;
font-size:clamp(12px,3vw,15px);
font-weight:600;
color:#999;
cursor:pointer;
position:relative;
}

.tab.active{
color:#2196f3;
}

.tab.active::after{
content:"";
position:absolute;
bottom:-1px;
left:0;
width:100%;
height:2px;
background:#2196f3;
}

/* =====================================================
CONTENIDO TABS
===================================================== */

.tab-content{
display:none;
height:360px;
overflow-y:auto;
padding-right:5px;
}

.tab-content.active{
display:block;
}

/* =====================================================
LIKES
===================================================== */

.lista-likes::-webkit-scrollbar{
width:6px;
}

.lista-likes::-webkit-scrollbar-track{
background:transparent;
}

.lista-likes::-webkit-scrollbar-thumb{
background:linear-gradient(180deg,#cfcfcf,#a9a9a9);
border-radius:10px;
}

.like-card{
display:flex;
align-items:center;
gap:12px;
border-radius:10px;
transition:0.2s;
margin-bottom:6px;
}

.like-card:hover{
background:#f5f5f5;
}

.avatar-like{
width:38px;
height:38px;
border-radius:50%;
display:flex;
align-items:center;
justify-content:center;
font-weight:600;
color:white;
font-size:16px;
}

.avatar-like-img{
width:38px;
height:38px;
border-radius:50%;
object-fit:cover;
}

.avatar-wrapper{
position:relative;
width:38px;
height:38px;
}

.like-heart{
position:absolute;
bottom:-2px;
right:-8px;
background:#ffffff;
color:white;
width:22px;
height:22px;
border-radius:50%;
display:flex;
align-items:center;
justify-content:center;
border:2px solid white;
}

.like-heart img{
  height:18px;
  width:18px;
  z-index:999;
  position:absolute;
}

.info-like{
flex:1;
}

.info-like a{
text-decoration:none;
color:#222;
font-size:clamp(11px,2.5vw,13px);
font-weight:500;
}

.tiempo-like{
font-size:clamp(10px,2.5vw,11px);
color:#666;
}

.btn-visitar{
background:#f3f3f3;
border:none;
padding:6px 12px;
border-radius:8px;
font-size:clamp(10px,2.5vw,12px);
font-weight:600;
cursor:pointer;
transition:0.2s;
}

.btn-visitar:hover{
background:#2196f3;
color:white;
}

/* =====================================================
PADRINOS
===================================================== */

.lista-padrinos::-webkit-scrollbar{
width:6px;
}

.lista-padrinos::-webkit-scrollbar-track{
background:transparent;
}

.lista-padrinos::-webkit-scrollbar-thumb{
background:linear-gradient(180deg,#cfcfcf,#a9a9a9);
border-radius:10px;
}

.padrino-card{
display:flex;
align-items:center;
gap:12px;
border-radius:10px;
transition:0.2s;
margin-bottom:6px;
}

.padrino-card:hover{
background:#f5f5f5;
}

.avatar-padrino{
width:38px;
height:38px;
border-radius:50%;
display:flex;
align-items:center;
justify-content:center;
font-weight:600;
color:white;
font-size:16px;
}

.avatar-wrapper-padrino{
position:relative;
width:38px;
height:38px;
}

.padrino-heart{
position:absolute;
bottom:-2px;
right:-8px;
background:#ffffff;
width:22px;
height:22px;
border-radius:50%;
display:flex;
align-items:center;
justify-content:center;
border:2px solid white;
}

.padrino-heart img{
height:18px;
width:18px;
position:absolute;
}

.info-padrino{
flex:1;
}

.info-padrino a{
text-decoration:none;
color:#222;
font-weight:500;
font-size:clamp(11px,2.5vw,13px);
}

.tiempo-padrino{
font-size:clamp(10px,2.5vw,11px);
color:#666;
}

.btn-visitar-padrino{
background:#f3f3f3;
border:none;
padding:6px 12px;
border-radius:8px;
font-size:clamp(10px,2.5vw,12px);
font-weight:600;
cursor:pointer;
transition:0.2s;
}

.btn-visitar-padrino:hover{
background:#2196f3;
color:white;
}

.btn-padrino-disabled{
background:#2196f3;
cursor:not-allowed;
color:white;
}

.btn-padrino-disabled:hover{
background:#bdbdbd;
transform:none;
}
/* =====================================================
MEDIA QUERIES
===================================================== */

@media (max-width:750px){
.pet-container{
margin-top:0;
}

.icon-left,
.config-producto,
.config-mascota,
.favorito{
width:55px;
height:55px;
right:35px;
top:35px;
}

.icon-left{
left:35px;
}

.seller{
zoom:90%;
}

.arrow{
display:none;
}

.dots{
bottom:30px;
}

.slide img{
border-radius:10px;
}

.pet-content{
margin-top:-15px;
}

.pet-info{
width:100% !important;
margin-left:0;
justify-content:space-between !important;
gap:0;
}

.tabs{
justify-content:space-between;
}

}

@media (max-width:500px){

.icon-left,
.config-producto,
.config-mascota,
.favorito{
width:45px;
height:45px;
right:35px;
top:35px;
}

.icon-left{
left:35px;
}

.tabs{
gap:0;
justify-content:space-between;
}

.tabs i{
display:none;
}

}

@media (max-width:320px){

.icon-left,
.config-producto,
.config-mascota,
.favorito{
width:38px;
height:38px;
right:35px;
top:35px;
}

.icon-left{
left:35px;
}

.seller{
zoom:90%;
}

.tabs{
gap:0;
justify-content:space-between;
}

.tabs i{
display:none;
}

}